﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VSMSearchSample.Models;
using Windows.UI.Xaml.Data;

namespace VSMSearchSample.Converters
{
    public class CategoriesToStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var ret = "";

            if (value is IEnumerable<Category>)
            {
                var categories = (IEnumerable<Category>)value;

                if (categories.Count() > 0)
                {
                    foreach (var cat in categories)
                    {
                        if (!String.IsNullOrEmpty(ret))
                        {
                            ret += ", ";
                        }
                        ret += cat.Name;
                    }
                }
            }

            return ret;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
