﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VSMSearchSample.Models;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace VSMSearchSample.Utilities
{
    public class BaseModelTemplateSelector : DataTemplateSelector
    {
        protected override DataTemplate SelectTemplateCore(object item, Windows.UI.Xaml.DependencyObject container)
        {
            if (item is Session)
            {
                return (DataTemplate)App.Current.Resources["SessionGroupTemplate"];
            }
            else if(item is Category)
            {
                return (DataTemplate)App.Current.Resources["CategoryTemplate150"];
            }
            else if (item is Presenter) 
            {
                return (DataTemplate)App.Current.Resources["PresenterTemplate150"];
            }

            return base.SelectTemplateCore(item, container);
        }
    }
}
