﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VSMSearchSample.Models;
using Windows.UI.Xaml.Data;

namespace VSMSearchSample.Converters
{
    public class PresentersToStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var ret = "";

            if (value is IEnumerable<Presenter>)
            {
                var presenters = (IEnumerable<Presenter>)value;

                if (presenters.Count() > 0)
                {
                    foreach (var pres in presenters)
                    {
                        if (!String.IsNullOrEmpty(ret))
                        {
                            ret += ", ";
                        }
                        ret += pres.Name;
                    }
                }
            }

            return ret;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
